Redmine - Feature #1564

PDF export of all issues with all information
2008-07-03 01:12 - Thomas Capricelli

Status: New Start date: 2008-07-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution:

Description

The pdf export of "issues" exports a synthetic lists of the issues, with few information about them. This is great and nice, and | sure
want this great feature to stay.

But i would also find very interesting to have a PDF export with the full information about the bug (maybe without the comments). So
that i can take the PDF with me if i'm going to be without internet for several days, for example.

Related issues:

Related to Redmine - Feature #702: Export all issue columns in the export to csv Closed 2008-02-20
Related to Redmine - Feature #4742: CSV export: option to export selected or ... Closed 2010-02-05
Related to Redmine - Feature #6280: Multi-issue PDF export New 2010-09-03
History

#1 - 2008-08-06 15:07 - Thomas Lecavelier

Sound interesting.

#2 - 2008-08-07 09:33 - colin moock

+1
I'd love to be able to include the full content of many issues in a single PDF. Could be all issues or a subset determined by the standard issues filter)

Basically, the "Issues" page's "Export to PDF" button should have an option: "lssue Summaries Only" (default) or "Complete Issue Content".
| don't mind if the PDF is large. 1000-page reports are fine for internal research staff and governments ;)
(and i agree that comments should be optional)

#3 - 2008-08-08 14:11 - Curtis Stewart

+1
Being able to include the complete content of a set of issues is a single PDF file would simplify things for us.

#4 - 2009-02-12 15:50 - Thomas M
- File Full_PDF _export.tar.gz added
Also very interested by this feature.

I've managed to implement it, maybe not the cleaner solution but it works !
With the files enclosed on top of 0.8 you will get a "Full PDF" link on the bottom of the "Issues" page.

#5 - 2009-02-19 03:09 - Andrew Leaf
Is this compatible with 0.8.1? Our teams have requested this feature as well.
Thomas M wrote:

Also very interested by this feature.

I've managed to implement it, maybe not the cleaner solution but it works !
With the files enclosed on top of 0.8 you will get a "Full PDF" link on the bottom of the "Issues" page.

#6 - 2009-02-19 06:52 - Thomas Capricelli
i'm also afraid of just 'dropping' that on top of my production system...
#7 - 2009-02-22 16:53 - Thomas M
Andrew Leaf wrote:
Is this compatible with 0.8.1? Our teams have requested this feature as well.

No it is not compatible with 0.8.1 because the management of PDF exports has been completely changed. | will try to do the same thing with this
latest version (and add it here).

#8 - 2009-02-23 22:41 - Thomas M
- File Full_PDF_export.tar.gz added
New version of my tweak, only 3 modified files.
If you use it give me your feedback !

#9 - 2009-05-26 23:00 - Thomas M

I've finally written my patch to be a plugin.
Developped and tested on current trunk and 0.8.3 as of 0.0.2.

You may get it here : http:/code.google.com/p/a-studio/downloads/list

#10 - 2009-05-26 23:03 - Thomas Capricelli

Interesting. Though only the 0.0.1 is available on this page currently... ? And it is '5 minutes' old. Should | understand there's no 0.0.2 yet ?
#11 - 2009-05-27 00:52 - Thomas M
Thomas Capricelli wrote:
Interesting. Though only the 0.0.1 is available on this page currently... ? And it is '5 minutes' old. Should | understand there's no 0.0.2 yet ?
Hi Thomas,
I've not developped the version compatible with 0.8.3 yet (and | think | will not unless someone needs it).
The latest version is the only one available : 0.0.1 ;)

#12 - 2009-05-27 02:07 - Thomas Capricelli

ah. Ok, so 0.0.1 is for trunk, and a 0.0.2 might happen for 0.8.3, it was not very clear. (and it still sounds strange...).
Anyway i'm using redmine trunk so i'll give it a try with 0.0.1

For those that would be interested, don't forget the general documentation for installing plugins at plugins

#13 - 2009-12-03 21:58 - Thomas Capricelli

well..... i'm using trunk (Redmine 0.8.7.devel.3070), and the 0.0.1 version of this plugin, and it works.
Thanks!

#14 - 2011-03-03 15:43 - Johann Gail

Is there any news with this?
| have tried the plugin, but with it installed redmine 0.8.7 doesn't start anymore.

#15 - 2012-01-13 19:58 - Etienne Massip

- Category changed from Issues to PDF export

#16 - 2012-03-03 12:49 - Terence Mill

+1

export shalle show attributes as filterd i list view.

Description shall be optionally on/off for view an export.

CVS Export shall work the same, instead all marcos shall be removed optionally.

duplicated by #9515

2025-07-07 2/3


http://code.google.com/p/a-studio/downloads/list
https://www.redmine.org/projects/redmine/wiki/Plugins
https://www.redmine.org/issues/9515

#17 - 2012-03-03 12:51 - Terence Mill
duplicated by #6289

#18 - 2012-03-20 08:04 - Yuri Makarov
How can this be done.
This can be done by using the reports definition.

On the page of the report definition, can be added fields to describe the output of PDF and CSV.
For example, the output PDF in table or in detail, the issues with the new page or not, include comments or not, and so on.
When the user selects a report, PDF and CSV buttons at the bottom of the page will generate output according to the report definition selections.

#19 - 2012-03-20 08:48 - Terence Mill
Which report definition?
Whre is the component/plugin ur talking about?

Yuri Makarov wrote:

How can this be done.
This can be done by using the reports definition.

On the page of the report definition, can be added fields to describe the output of PDF and CSV.
For example, the output PDF in table or in detail, the issues with the new page or not, include comments or not, and so on.
When the user selects a report, PDF and CSV buttons at the bottom of the page will generate output according to the report definition selections.

#20 - 2012-03-20 10:07 - Yuri Makarov

Sorry for my English.
I mean how this can be realized.
By report definition | meant a page called on "Save" button on the list of issues.

This is an example of how this may be implemented.
This can be done by using the reports definition(custom queries).

On the page of the report definition the new fields can be added to customise export in PDF or CSV.

For example, export to PDF as a table or detail view, with each issue on new page or not, include comments or not, and so on.

When the user selects a report(custom query) the PDF and CSV buttons at the bottom of the page will generate output according to the report
definition(custom queries) selections.

#21 - 2014-09-19 07:16 - Toshi MARUYAMA
- Related to Feature #6280: Multi-issue PDF export added

Files
Full_PDF_export.tar.gz 40 KB 2009-02-12 Thomas M
Full_PDF_export.tar.gz 10.4 KB 2009-02-23 Thomas M
